ShareUpdateService (gCube Share Updates Portlet 1.7.0-3.7.0 API)
Date: 2015-05-19

org.gcube.portlets.user.shareupdates.client

## Interface ShareUpdateService

- All Superinterfaces:
    com.google.gwt.user.client.rpc.RemoteService
  All Known Implementing Classes:
    ShareUpdateServiceImpl

      @RemoteServiceRelativePath(value="shareupdateServlet")
      public interface ShareUpdateService
      extends com.google.gwt.user.client.rpc.RemoteService

  The client side stub for the RPC service.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `LinkPreview` | `checkLink(String linkToCheck)`
    `LinkPreview` | `checkUploadedFile(String fileName, String fileabsolutePathOnServer)`
    `ArrayList<org.gcube.portlets.widgets.pickitem.shared.ItemBean>` | `getHashtags()`
    `ArrayList<org.gcube.portlets.widgets.pickitem.shared.ItemBean>` | `getPortalUsers()`
    `UserSettings` | `getUserSettings()`
    `org.gcube.portal.databook.shared.ClientFeed` | `share(String feedText, org.gcube.portal.databook.shared.FeedType type, org.gcube.portal.databook.shared.PrivacyLevel pLevel, String vreName, LinkPreview preview, String urlThumbnail, ArrayList<String> mentionedUsers, String fileName, String FilePathOnServer, boolean notifyGroup)`

- - ### Method Detail

    - #### share

          org.gcube.portal.databook.shared.ClientFeed share(String feedText,
                                                          org.gcube.portal.databook.shared.FeedType type,
                                                          org.gcube.portal.databook.shared.PrivacyLevel pLevel,
                                                          String vreName,
                                                          LinkPreview preview,
                                                          String urlThumbnail,
                                                          ArrayList<String> mentionedUsers,
                                                          String fileName,
                                                          String FilePathOnServer,
                                                          boolean notifyGroup)

    - #### getUserSettings

          UserSettings getUserSettings()

    - #### checkLink

          LinkPreview checkLink(String linkToCheck)

    - #### checkUploadedFile

          LinkPreview checkUploadedFile(String fileName,
                                      String fileabsolutePathOnServer)

    - #### getPortalUsers

          ArrayList<org.gcube.portlets.widgets.pickitem.shared.ItemBean> getPortalUsers()

    - #### getHashtags

          ArrayList<org.gcube.portlets.widgets.pickitem.shared.ItemBean> getHashtags()

Copyright © 2015. All Rights Reserved.